<main>
  <div class="album py-5">
    <div class="container">
      <div *ngIf="segundaCategoria.id == 0 && terceraCategoria.id == 0 && cuartaCategoria.id == 0" class="row row-cols-1 row-cols-sm-2 row-cols-md-5">
        <div *ngFor="let categoria of primeraCategoria.subCategorias" ngClass="{{screenWidth < 600 ? 'col mb-3' : 'col mb-3 d-flex align-items-stretch'}}">
          <div class="card">
            <img src="{{categoria.imagen}}" class="p-4" alt="{{categoria.nombre}}">
            <div class="card-body">
              <h5 class="card-title">{{categoria.nombre}}</h5>
            </div>
          </div>
        </div>
      </div>
      <div *ngIf="segundaCategoria.id && terceraCategoria.id === 0 && cuartaCategoria.id == 0" class="row row-cols-1 row-cols-sm-2 row-cols-md-5">
        <div *ngFor="let categoria of segundaCategoria.subCategorias" ngClass="{{screenWidth < 600 ? 'col mb-3' : 'col mb-3 d-flex align-items-stretch'}}">
          <div class="card">
            <img src="{{categoria.imagen}}" class="p-4" alt="{{categoria.nombre}}">
            <div class="card-body">
              <h5 class="card-title">{{categoria.nombre}}</h5>
            </div>
          </div>
        </div>
      </div>
      <div *ngIf="terceraCategoria.id && cuartaCategoria.id == 0" class="row row-cols-1 row-cols-sm-2 row-cols-md-5">
        <div *ngFor="let categoria of terceraCategoria.subCategorias"  ngClass="{{screenWidth < 600 ? 'col mb-3' : 'col mb-3 d-flex align-items-stretch'}}">
          <div class="card">
            <img src="{{categoria.imagen}}" class="p-4" alt="{{categoria.nombre}}">
            <div class="card-body">
              <h5 class="card-title">{{categoria.nombre}}</h5>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="album py-5">
    <div class="container">
      <div class="row row-cols-1 row-cols-sm-2 row-cols-md-5">
        <div *ngFor="let producto of productos" ngClass="{{screenWidth < 600 ? 'col mb-3' : 'col mb-3 d-flex align-items-stretch'}}">
          <div class="card bg-dark shadow-sm">
            <img class="p-4 cursor-pointer" src="{{producto.imagen}}" alt="{{producto.nombre}}" title="{{producto.nombre}}" (click)="viewProduct(producto.sku)"/>
            <div class="card-body">
              <p class="fw-bold text-white">{{producto.marca | uppercase}}</p>
              <p class="fw-bold text-white">{{producto.nombre}}</p>
              <p class="text-warning">{{producto.precio | price}}</p>
              <p class="card-text text-white">{{producto.descripcion}}</p>
              <div class="text-center">
                  <button type="button" class="btn btn-primary">Comprar</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</main>